package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.AreaConfig;

import java.util.List;

/**
 * AreaConfigService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IAreaConfigService {

    public int insertAreaConfig(AreaConfig areaConfig);

    public int updateAreaConfig(AreaConfig areaConfig);

    public int deleteAreaConfigByRtuNo(Long rtuNo);

    public AreaConfig selectAreaConfigByRtuNo(Long rtuNo);

    List<AreaConfig> selectWindplantListByAreaNo(Long areaNo);
}
